import 'monorepo-shared-assets/.polyfill';
import SplitterObject from "./lib/splitter-object.mjs";
import create from "./lib/create.mjs";
import fromIterable from "./lib/from-iterable.mjs";
import fromString from "./lib/from-string.mjs";
import fromIterableStream from "./lib/from-iterable-stream.mjs";
import fromEventedStream from "./lib/from-evented-stream.mjs";
import fromChildProcess from "./lib/from-child-process.mjs";
import toString from "./lib/to-string.mjs";
import elements from "./lib/elements.mjs";
import lines from "./lib/lines.mjs";
import write from "./lib/write.mjs";
import writeln from "./lib/writeln.mjs";
import * as errorClasses from "./lib/error-classes.mjs";
import * as types from "./lib/types.mjs";
export * from "./lib/error-classes.mjs";
export { SplitterObject, create, fromIterable, fromString, fromIterableStream, fromEventedStream, fromChildProcess, toString, elements, lines, write, writeln, errorClasses, types }; //# sourceMappingURL=index.js.map