import { every } from "iter-tools/es5/index.mjs";
import SpecialCharacter from "./special-character.mjs";
import Digit from "./digit.mjs";
const {
  Seperator
} = SpecialCharacter;
const {
  Zero
} = Digit;
const ZERO_AND_SEP = new Set([Zero, Seperator]);
export const isResetSequence = sequence => every(x => ZERO_AND_SEP.has(x), sequence); //# sourceMappingURL=sequence-tests.js.map