/// <reference types="node" />
import * as types from '../lib/types';
declare const symEncoding: unique symbol;
declare const symData: unique symbol;
export declare class StringWritable implements types.Writable {
    private readonly [symEncoding];
    private [symData];
    constructor(options?: StringWritable.ConstructorOptions);
    write(buffer: Buffer): void;
    toString(): string;
}
export declare namespace StringWritable {
    type Encoding = BufferEncoding;
    interface ConstructorOptions {
        readonly encoding?: Encoding;
    }
}
export default StringWritable;
